<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/ui_surface"
    android:paddingLeft="20dp"
    android:paddingTop="16dp"
    android:paddingRight="20dp">


    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/userAvatar"
        style="@style/frescoCircleStyle"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginBottom="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundingBorderColor="@color/black_alpha_10"
        app:roundingBorderWidth="0.5dp" />

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/user_badge"
        android:layout_width="15dp"
        android:layout_height="15dp"
        app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
        app:layout_constraintEnd_toEndOf="@+id/userAvatar" />

    <TextView
        android:id="@+id/userNameTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:ellipsize="end"
        android:maxLength="12"
        android:maxLines="1"
        android:textColor="@color/text_primary"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@+id/userSignatureTv"
        app:layout_constraintEnd_toStartOf="@+id/user_badge_icon"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@+id/userAvatar"
        app:layout_constraintTop_toTopOf="@+id/userAvatar"
        tools:text="我的名字很长我的名字很长我的名字很长" />

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/user_badge_icon"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginLeft="4dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="@id/userNameTv"
        app:layout_constraintLeft_toRightOf="@id/userNameTv"
        app:layout_constraintRight_toLeftOf="@+id/user_badge_name"
        app:layout_constraintTop_toTopOf="@id/userNameTv"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/user_badge_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="4dp"
        android:gravity="center"
        android:maxLines="1"
        android:textColor="@color/text_tertiary"
        android:textSize="10sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="@id/user_badge_icon"
        app:layout_constraintLeft_toRightOf="@id/user_badge_icon"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/user_badge_icon"
        tools:text="答题先锋答题先锋答题先锋答题先锋答题先锋答题先锋"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/userSignatureTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp"
        app:layout_constraintBottom_toTopOf="@+id/userFansCountTv"
        app:layout_constraintEnd_toStartOf="@+id/attentionTv"
        app:layout_constraintStart_toEndOf="@+id/userAvatar"
        app:layout_constraintTop_toBottomOf="@+id/userNameTv" />

    <TextView
        android:id="@+id/userFansCountTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:textColor="@color/text_tertiary"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
        app:layout_constraintStart_toEndOf="@+id/userAvatar"
        app:layout_constraintTop_toBottomOf="@+id/userSignatureTv" />

    <TextView
        android:id="@+id/attentionTv"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginLeft="20dp"
        android:gravity="center"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="@+id/userAvatar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/userSignatureTv"
        app:layout_constraintTop_toTopOf="@+id/userAvatar" />

    <View
        android:layout_width="0dp"
        android:layout_height="0.5dp"
        android:background="@color/ui_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/attentionTv"
        app:layout_constraintStart_toStartOf="@+id/userFansCountTv" />

</androidx.constraintlayout.widget.ConstraintLayout>